CVE-2004-2274
CVSS6.4
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:40
NMCO    

[原文]Unknown vulnerability in Jigsaw before 2.2.4 has unknown impact and attack vectors, possibly related to the parsing of the URI.


[CNNVD]W3C Jigsaw未明远程URI解析漏洞(CNNVD-200412-1073)

        
        Jigsaw是WEB服务器平台,提供HTTP 1.1实现样本,由JAVA实现。
        Jigsaw存在未明远程URI解析问题,远程攻击者可以利用这个漏洞绕过WEB ROOT限制以WEB进程权限查看系统中文件内容。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:w3c:jigsaw:2.0
cpe:/a:w3c:jigsaw:2.0.5
cpe:/a:w3c:jigsaw:2.0.2
cpe:/a:w3c:jigsaw:2.2.3
cpe:/a:w3c:jigsaw:2.2.2
cpe:/a:w3c:jigsaw:2.0.4
cpe:/a:w3c:jigsaw:2.0.3
cpe:/a:w3c:jigsaw:2.1.2
cpe:/a:w3c:jigsaw:2.1.1
cpe:/a:w3c:jigsaw:2.2
cpe:/a:w3c:jigsaw:2.2.1
cpe:/a:w3c:jigsaw:2.1
cpe:/a:w3c:jigsaw:2.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2274
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2274
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1073
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15298
(PATCH)  XF  jigsaw-url-execute-code(15298)
http://www.securityfocus.com/bid/9711
(PATCH)  BID  9711
http://securitytracker.com/id?1009169
(PATCH)  SECTRACK  1009169
http://secunia.com/advisories/10975
(VENDOR_ADVISORY)  SECUNIA  10975
http://www.w3.org/Jigsaw/RelNotes.html#2.2.4
(UNKNOWN)  CONFIRM  http://www.w3.org/Jigsaw/RelNotes.html#2.2.4
http://www.osvdb.org/4014
(UNKNOWN)  OSVDB  4014

- 漏洞信息

W3C Jigsaw未明远程URI解析漏洞
中危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Jigsaw是WEB服务器平台,提供HTTP 1.1实现样本,由JAVA实现。
        Jigsaw存在未明远程URI解析问题,远程攻击者可以利用这个漏洞绕过WEB ROOT限制以WEB进程权限查看系统中文件内容。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        W3C
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        W3C Upgrade jigsaw_2.2.4.zip
        
        http://jigsaw.ws.org/Distrib/jigsaw_2.2.4.zip

        Windows Platform:
        W3C Upgrade jigsaw_2.2.4.tar.gz
        
        http://jigsaw.ws.org/Distrib/jigsaw_2.2.4.tar.gz

        Unix and Unix Like Platforms:

- 漏洞信息

4014
Jigsaw URI Parsing Unspecified Remote Issue
Remote / Network Access Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Jigsaw contains a non-descript flaw that may allow an attacker to access arbitrary files outside of the web root. The issue is due to improper sanity checking on remote URI requests. No further details have been provided.

- 时间线

2004-02-18 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.2.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站